# Updates a tax configuration with the specified ID. This method will update an existing tax configuration with the specified ID. Endpoint: PUT /taxConfigurations/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `default_tax_product_id` (string) The default tax product id to use - `notes` (string) Any notes about this configuration - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `zones` (array) - `zones.countries` (array) - `zones.countries.country` (string, required) The country - `zones.enabled` (boolean, required) Whether or not this zone is enabled - `zones.id` (string, required) A unique id for the zone - `zones.name` (string, required) The name of the zone - `zones.postal_code_ranges` (array) - `zones.postal_code_ranges.end` (string, required) - `zones.postal_code_ranges.start` (string, required) - `zones.rates` (array) - `zones.rates.classes` (array) - `zones.rates.classes.class_id` (string, required) The ID of the tax class - `zones.rates.classes.rate` (number) The tax rate percentage, from 0-100 - `zones.rates.classes.tax_product_id` (string) The default product to use for this rate/tax class - `zones.rates.enabled` (boolean, required) Whether or not this rate is enabled - `zones.rates.name` (string, required) The name of the rate - `zones.rates.tax_product_id` (string) The tax product to use for this rate - `zones.states` (array) - `zones.states.state` (string, required) The state - `zones.tax_product_id` (string) The default product to use for tax - `zones.type` (string) Enum: "country", "postal code", "rest of the world", "state" ## Response 200 fields (application/json): - `default_tax_product_id` (string) The default tax product id to use - `notes` (string) Any notes about this configuration - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `zones` (array) - `zones.countries` (array) - `zones.countries.country` (string, required) The country - `zones.enabled` (boolean, required) Whether or not this zone is enabled - `zones.id` (string, required) A unique id for the zone - `zones.name` (string, required) The name of the zone - `zones.postal_code_ranges` (array) - `zones.postal_code_ranges.end` (string, required) - `zones.postal_code_ranges.start` (string, required) - `zones.rates` (array) - `zones.rates.classes` (array) - `zones.rates.classes.class_id` (string, required) The ID of the tax class - `zones.rates.classes.rate` (number) The tax rate percentage, from 0-100 - `zones.rates.classes.tax_product_id` (string) The default product to use for this rate/tax class - `zones.rates.enabled` (boolean, required) Whether or not this rate is enabled - `zones.rates.name` (string, required) The name of the rate - `zones.rates.tax_product_id` (string) The tax product to use for this rate - `zones.states` (array) - `zones.states.state` (string, required) The state - `zones.tax_product_id` (string) The default product to use for tax - `zones.type` (string) Enum: "country", "postal code", "rest of the world", "state" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields